> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lehar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get campaign

> Reads one campaign record. Scope `campaigns:read`.



## OpenAPI

````yaml /api-reference/openapi.json get /campaigns/{campaign_id}
openapi: 3.1.0
info:
  title: Lehar API
  version: v0
  description: >-
    Customer-facing REST API for the Lehar voice-AI platform. Platform-admin
    endpoints are intentionally excluded from this reference. Regenerate with
    `npm run sync:openapi`.
servers:
  - url: https://api.lehar.ai/ca/api/v0
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /campaigns/{campaign_id}:
    get:
      tags:
        - Campaigns
      summary: Get campaign
      description: Reads one campaign record. Scope `campaigns:read`.
      operationId: get_campaign_ca_api_v0_campaigns__campaign_id__get
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            title: Campaign Id
      responses:
        '200':
          description: Campaign record
          content:
            application/json:
              example:
                id: campaign_01EXAMPLE
                customer_id: customer_01EXAMPLE
                created_by_user_id: user_01EXAMPLE
                voice_agent_id: agent_sales_hi
                whatsapp_agent_id: null
                from_phone_number_id: null
                whatsapp_sender_id: null
                name: March renewals
                description: null
                campaign_type: voice
                status: running
                timezone: Asia/Kolkata
                schedule:
                  business_hours:
                    start: '09:00'
                    end: '18:00'
                    days:
                      - mon
                      - tue
                      - wed
                      - thu
                      - fri
                  max_attempts: 3
                  retry_delay_minutes: 120
                workflow: {}
                variables_schema: {}
                metadata: {}
                temporal_workflow_id: campaign-campaign_01EXAMPLE
                temporal_run_id: run_01EXAMPLE
                cloned_from_campaign_id: null
                started_at: '2026-05-22T11:30:00Z'
                completed_at: null
                created_at: '2026-05-22T10:00:00Z'
                updated_at: '2026-05-22T11:30:00Z'
        '404':
          description: Not found
          content:
            application/json:
              example:
                error:
                  code: not_found
                  message: Campaign not found
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    BearerAuth:
      type: http
      scheme: bearer

````